Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPermission

All Known Implementing Classes:
  PermissionImpl

    public interface IPermission

Version:
  $Revision: 1.6 $
Author:
  Bernie Durfee (bdurfee@interactivebusiness.com), Dan Ellentuck

Field Summary
`static java.lang.String` | `CHANNEL_PREFIX`
`static java.lang.String` | `CHANNEL_PUBLISHER_ACTIVITY`
`static java.lang.String` | `CHANNEL_SUBSCRIBER_ACTIVITY`
`static java.lang.String` | `PERMISSION_TYPE_DENY`
`static java.lang.String` | `PERMISSION_TYPE_GRANT`
`static java.lang.String` | `PORTAL_FRAMEWORK`

Method Summary
`java.lang.String` | `getActivity()` Gets the activity associated with this `IPermission`.
`java.util.Date` | `getEffective()` Gets that date that this `IPermission` should become effective on.
`java.util.Date` | `getExpires()` Gets the date that this `IPermission` should expire on.
`java.lang.String` | `getOwner()` Returns the owner of this `IPermission`.
`java.lang.String` | `getPrincipal()` Returns a String representing the `IAuthorizationPrincipal` associated with this `IPermission`.
`java.lang.String` | `getTarget()` Gets the target associated with this `IPermission`.
`java.lang.String` | `getType()` Returns the `Permission` type.
`void` | `setActivity(java.lang.String activity)` Sets the activity associated with this `IPermission`.
`void` | `setEffective(java.util.Date effective)` Sets the date that this `IPermission` should become effective on.
`void` | `setExpires(java.util.Date expires)` Sets the date that this `IPermission` should expire on.
`void` | `setPrincipal(java.lang.String newPrincipal)` Sets the principal String representing the `IAuthorizationPrincipal` associated with this `IPermission`.
`void` | `setTarget(java.lang.String target)` Sets the target associated with this `IPermission`.
`void` | `setType(java.lang.String type)` Sets the `IPermission` type.

Field Detail

### CHANNEL_PUBLISHER_ACTIVITY

    static final java.lang.String CHANNEL_PUBLISHER_ACTIVITY

See Also:
  Constant Field Values

### CHANNEL_SUBSCRIBER_ACTIVITY

    static final java.lang.String CHANNEL_SUBSCRIBER_ACTIVITY

See Also:
  Constant Field Values

### PERMISSION_TYPE_GRANT

    static final java.lang.String PERMISSION_TYPE_GRANT

See Also:
  Constant Field Values

### PERMISSION_TYPE_DENY

    static final java.lang.String PERMISSION_TYPE_DENY

See Also:
  Constant Field Values

### PORTAL_FRAMEWORK

    static final java.lang.String PORTAL_FRAMEWORK

See Also:
  Constant Field Values

### CHANNEL_PREFIX

    static final java.lang.String CHANNEL_PREFIX

See Also:
  Constant Field Values

Method Detail

### getActivity

    java.lang.String getActivity()

  Gets the activity associated with this `IPermission`.

  Returns:
    String

### getEffective

    java.util.Date getEffective()

  Gets that date that this `IPermission` should become effective on.

  Returns:
    date that this `IPermission` should become effective on

### getExpires

    java.util.Date getExpires()

  Gets the date that this `IPermission` should expire on.

  Returns:
    date that this `IPermission` should expire on

### getOwner

    java.lang.String getOwner()

  Returns the owner of this `IPermission`.

  Returns:
    owner of this `IPermission`

### getTarget

    java.lang.String getTarget()

  Gets the target associated with this `IPermission`.

  Returns:
    target associated with this `IPermission`

### getType

    java.lang.String getType()

  Returns the `Permission` type.

### setActivity

    void setActivity(java.lang.String activity)

  Sets the activity associated with this `IPermission`.

  Parameters:
    `activity` - String

### setEffective

    void setEffective(java.util.Date effective)

  Sets the date that this `IPermission` should become effective on.

  Parameters:
    `effective` - java.util.Date

### setExpires

    void setExpires(java.util.Date expires)

  Sets the date that this `IPermission` should expire on.

  Parameters:
    `expires` - java.util.Date

### setTarget

    void setTarget(java.lang.String target)

  Sets the target associated with this `IPermission`.

  Parameters:
    `target` -

### setType

    void setType(java.lang.String type)

  Sets the `IPermission` type.

  Parameters:
    `type` - String

### getPrincipal

    java.lang.String getPrincipal()

  Returns a String representing the `IAuthorizationPrincipal` associated with this `IPermission`.

  Returns:
    IAuthorizationPrincipal associated with this IPermission

### setPrincipal

    void setPrincipal(java.lang.String newPrincipal)

  Sets the principal String representing the `IAuthorizationPrincipal` associated with this `IPermission`.

  Parameters:
    `newPrincipal` - String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD